#include "widget.h"
#include "ui_widget.h"
#include <QTableWidget>
#include <qDebug>

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    tw = new QTableWidget(this);
    tw->setColumnCount(2);
    tw->setRowCount(2);

    QTableWidgetItem *item = new QTableWidgetItem;
    item->setFlags(Qt::ItemIsUserCheckable | Qt::ItemIsAutoTristate);
    item->setCheckState(Qt::Unchecked);
    tw->setItem(0, 0, item);

    this->startTimer(1000);
}

Widget::~Widget()
{
    delete ui;
}


void Widget::timerEvent(QTimerEvent *event) {
    QTableWidgetItem *item = tw->item(0, 0);
    if(item->checkState() == Qt::Checked) {
        item->setCheckState(Qt::PartiallyChecked);
    } else if(item->checkState() == Qt::PartiallyChecked){
        item->setCheckState(Qt::Unchecked);
    } else {
        item->setCheckState(Qt::Checked);
    }
    qDebug() << item->checkState();
}
